ports/70433: new plugin port for childsplay

Thierry Thomas thierry at FreeBSD.org
Sun Aug 22 21:21:34 UTC 2004


Synopsis: new plugin port for childsplay

State-Changed-From-To: open->feedback
State-Changed-By: thierry
State-Changed-When: Sun Aug 22 21:14:35 GMT 2004
State-Changed-Why: 

I was about to commit this PR with the following patch:

--- childsplay_plugins.diff begins here ---
diff -urN games/childsplay_plugins.orig/Makefile games/childsplay_plugins/Makefile
--- games/childsplay_plugins.orig/Makefile	Sun Aug 22 23:08:05 2004
+++ games/childsplay_plugins/Makefile	Sun Aug 22 22:29:35 2004
@@ -1,20 +1,20 @@
 # New ports collection makefile for:	childsplay_plugins
 # Date created:				6 July 2004
 # Whom:					bruno
+# $FreeBSD$
 
 PORTNAME=	childsplay_plugins
 PORTVERSION=	0.71
-PORTREVISION=	1
 CATEGORIES=	games
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	childsplay
+EXTRACT_SUFX=   .tgz
 
 MAINTAINER=	bruno at tinkerbox.org
-COMMENT=	Educative games for children.
-
-EXTRACT_SUFX=   .tgz
+COMMENT=	Educative games for children
 
-BUILD_DEPENDS=	${LOCALBASE}/bin/childsplay:${PORTSDIR}/games/childsplay:install
+BUILD_DEPENDS=	${LOCALBASE}/bin/childsplay:${PORTSDIR}/games/childsplay
+RUN_DEPENDS=	${LOCALBASE}/bin/childsplay:${PORTSDIR}/games/childsplay
 
 USE_REINPLACE=	yes
 USE_PYTHON=	yes
diff -urN games/childsplay_plugins.orig/files/patch-install.sh games/childsplay_plugins/files/patch-install.sh
--- games/childsplay_plugins.orig/files/patch-install.sh	Sun Aug 22 23:08:05 2004
+++ games/childsplay_plugins/files/patch-install.sh	Sun Aug 22 22:40:07 2004
@@ -1,9 +1,10 @@
---- ../old/childsplay_plugins-0.71/install.sh	Tue Jun 29 06:08:52 2004
-+++ install.sh	Tue Jul  6 11:26:17 2004
+--- install.sh.orig	Tue Jun 29 15:08:52 2004
++++ install.sh	Sun Aug 22 22:29:06 2004
 @@ -1,12 +1,12 @@
 -#!/bin/bash 
-+#!/usr/local/bin/bash 
- # install plugin in the standard childsplay path  
+-# install plugin in the standard childsplay path  
++#!/bin/sh
++# install plugin in the standard childsplay path
  
  PREFIX=/usr/local
 -LOCALEDIR=/usr/share/locale
@@ -17,3 +18,45 @@
  LIBDIR=$DESTDIR/lib
  
  ###########################################################
+@@ -17,7 +17,7 @@
+ ##################################################
+ #  Package text to be displayed as last step
+ # 0 = no readmes to display, 1 = there are readmes
+-README=1
++README=0
+ # if README=1 then READMES=names of readmes in CWD
+ # like this READMES="README README2 README3"
+ READMES="README README-PACKID"
+@@ -48,22 +48,8 @@
+     echo "exit"
+     exit 1
+ fi
+-   
++
+ echo -e "\n The path to install the plugins in is $DESTDIR."
+-echo " If you have installed childsplay in a other place, you can"
+-echo " give the full path to childsplay, otherwise just hit enter"
+-echo " Hit enter to install in $DESTDIR, or give the full path"
+-read path
+-if [ $path ];then
+-    if [ -e $path/install.py ];then
+-        DESTDIR=path
+-    else
+-        echo "*********** WARNING *************"
+-        echo " $path does not exists or is not the childsplay directory"
+-        echo " exit"
+-        exit 1
+-    fi
+-fi
+ echo " Installing in $DESTDIR"
+ 
+ echo "Compiling modules to bytecode..."
+@@ -98,7 +84,7 @@
+ echo ""
+ echo -e "That's all you have to do.\n"
+ 
+-if [ $README == 1 ];then
++if [ $README = 1 ] ; then
+     echo " Read the README's (if any) that came with these packages,"
+     echo " they contains directions on how to translate some"
+     echo " text files used by the games in your own language"
diff -urN games/childsplay_plugins.orig/pkg-plist games/childsplay_plugins/pkg-plist
--- games/childsplay_plugins.orig/pkg-plist	Sun Aug 22 23:08:05 2004
+++ games/childsplay_plugins/pkg-plist	Sun Aug 22 23:06:37 2004
@@ -199,6 +199,8 @@
 share/gnome/assetml/childsplay/sounds-misc/sounds-misc.assetml
 share/gnome/assetml/childsplay/sounds-misc/tomtom.ogg
 share/gnome/assetml/childsplay/sounds-misc/train.ogg
+ at dirrm childsplay/Data/AlphabetSounds/en
+ at unexec rmdir %D/childsplay/Data/AlphabetSounds 2>/dev/null || true
 @dirrm childsplay/lib/NumbersData
 @dirrm childsplay/lib/SoundMemory
 @dirrm childsplay/lib/PongData
--- childsplay_plugins.diff ends here ---

but I have just noticed another problem:

this port modify the file /usr/local/childsplay/Data/score,
which has been installed by childsplay, and then you cannot
pkg_delete childsplay cleanly.

Could you please investigate this problem?


http://www.freebsd.org/cgi/query-pr.cgi?pr=70433



More information about the freebsd-ports-bugs mailing list